aboutsummaryrefslogtreecommitdiffstats
path: root/astro/setiathome/files
diff options
context:
space:
mode:
authorcjc <cjc@FreeBSD.org>2003-04-13 01:07:42 +0800
committercjc <cjc@FreeBSD.org>2003-04-13 01:07:42 +0800
commite564b9df23c42570e959d6e57e40a51c5b7dbe4a (patch)
tree01a331c93e2a83e42df3290fa4446c11fea0454a /astro/setiathome/files
parent8e12e49123abd2c8577878bc5055c8d169f17088 (diff)
downloadfreebsd-ports-gnome-e564b9df23c42570e959d6e57e40a51c5b7dbe4a.tar.gz
freebsd-ports-gnome-e564b9df23c42570e959d6e57e40a51c5b7dbe4a.tar.zst
freebsd-ports-gnome-e564b9df23c42570e959d6e57e40a51c5b7dbe4a.zip
Maintainer update: Do not assume the user running setiathome has a
Borne-ish shell. Submitted by: Cyrille Lefevre <cyrille.lefevre@laposte.net>
Diffstat (limited to 'astro/setiathome/files')
-rw-r--r--astro/setiathome/files/setiathome.sh20
1 files changed, 11 insertions, 9 deletions
diff --git a/astro/setiathome/files/setiathome.sh b/astro/setiathome/files/setiathome.sh
index 5ef7c315747f..57b4a55d22aa 100644
--- a/astro/setiathome/files/setiathome.sh
+++ b/astro/setiathome/files/setiathome.sh
@@ -74,17 +74,19 @@ start)
fi
done
for i in ${seti_wrksuff}; do
- su -fm ${seti_user} -c "\
- cd ${seti_wrkdir}/${i} || exit; \
- echo \$\$ > shpid.sah; \
- trap 'kill \$pid;exit' 15; \
- while :; do \
+ su -fm ${seti_user} -c "exec /bin/sh -T" << EOF > /dev/null &
+ cd ${seti_wrkdir}/${i} || exit
+ echo \$\$ > shpid.sah
+ trap 'kill \$pid;exit' 15
+ while :; do
${program_path} \
${seti_std_args} ${seti_proxy_args} \
- ${seti_nice:+-nice} ${seti_nice} & \
- pid=\$!; wait \$pid; \
- sleep ${seti_sleep}; \
- done > /dev/null" &
+ ${seti_nice:+-nice} ${seti_nice} &
+ pid=\$!; wait \$pid
+ sleep ${seti_sleep} &
+ pid=\$!; wait \$pid
+ done
+EOF
done
echo -n " SETI@home"
;;